## kpim6-libkdepim 25.08.2+p24.04+vunstable+git20251013.0557

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.40")

project(libkdepim VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.17.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)
include(ECMCheckOutboundLicense)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_CLANG_FORMAT_SOURCE_FILES})

option(
    FORCE_NOT_REQUIRED_DEPENDENCIES
    "List (semicolon-separated) of dependencies that will be downgraded from REQUIRED to RECOMMENDED"
)

function(set_libkdepim_optional_package_properties _name _props)
    if(NOT "${_props}" STREQUAL "PROPERTIES")
        message(
            FATAL_ERROR
            "PROPERTIES keyword is missing in set_libkdepim_optional_package_properties() call."
        )
    endif()

    set(options) # none
    set(oneValueArgs DESCRIPTION URL PURPOSE)
    set(multiValueArgs) # none

    cmake_parse_arguments(
        _SPP
        "${options}"
        "${oneValueArgs}"
        "${multiValueArgs}"
        ${ARGN}
    )

    if(_SPP_UNPARSED_ARGUMENTS)
        message(
            FATAL_ERROR
            "Unknown keywords given to set_libkdepim_optional_package_properties(): \"${_SPP_UNPARSED_ARGUMENTS}\""
        )
    endif()

    set(DEPENDENCY_TYPE "REQUIRED")
    if(${_name} IN_LIST FORCE_NOT_REQUIRED_DEPENDENCIES)
        set(DEPENDENCY_TYPE "RECOMMENDED")
    endif()
    set_package_properties(
        ${_name}
        PROPERTIES
            TYPE ${DEPENDENCY_TYPE}
            DESCRIPTION ${_SPP_DESCRIPTION}
            URL ${_SPP_URL}
            PURPOSE
                "${_SPP_PURPOSE} You can make the dependency optional adding ${_name} to the FORCE_NOT_REQUIRED_DEPENDENCIES cmake option"
    )
endfunction()

find_package(Qt6DBus ${QT_REQUIRED_VERSION})
set_libkdepim_optional_package_properties(Qt6DBus PROPERTIES
    PURPOSE "Required for the DBUS interfaces delegate."
)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(LIBKDEPIM_LIB_VERSION ${PIM_VERSION})
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
endif()

find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(
    DESIGNERPLUGIN
    ${BUILD_DESIGNERPLUGIN}
    "Build plugin for Qt Designer"
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Libkdepim")

if(TARGET Qt6::DBus)
    configure_package_config_file(
        KPimMailTransportDBusServiceConfig.cmake.in
        ${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportDBusServiceConfig.cmake
        PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
        INSTALL_DESTINATION
            "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailTransportDBusService"
    )

    install(
        FILES
            ${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportDBusServiceConfig.cmake
        DESTINATION
            "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailTransportDBusService"
    )
endif()

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Libkdepim")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6Libkdepim_QCH
        FILE KPim6LibkdepimQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6LibkdepimQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimLibkdepimConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkdepimConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkdepimConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/src/KPim6LibkdepimConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6LibkdepimTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6LibkdepimTargets.cmake
    NAMESPACE KPim6::
)

ecm_qt_install_logging_categories(
        EXPORT LIBKDEPIM
        FILE libkdepim.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kpim6-libkdepim 24.08.0

=== debian/changelog ===
kpim6-libkdepim (4:24.08.0-0zneon+22.04+jammy+release+build2) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Aug 2024 12:12:11 +0000

kpim6-libkdepim (4:24.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:58:04 +0000

kpim6-libkdepim (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:37:20 +0000

kpim6-libkdepim (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:00:58 +0000

kpim6-libkdepim (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:44:24 +0000

kpim6-libkdepim (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:34:26 +0000

kpim6-libkdepim (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:13:52 +0000

kpim6-libkdepim (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:34:11 +0000

kpim6-libkdepim (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:51:32 +0000

kpim6-libkdepim (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:18:32 +0000

libkf5libkdepim (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:22:15 +0000

libkf5libkdepim (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:58:27 +0000

libkf5libkdepim (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:49:31 +0000

libkf5libkdepim (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:26:29 +0000

libkf5libkdepim (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:01:59 +0000

libkf5libkdepim (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:08:21 +0000

libkf5libkdepim (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:29:43 +0000

libkf5libkdepim (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:45:03 +0000

libkf5libkdepim (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:16:08 +0000

libkf5libkdepim (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:37:35 +0000

libkf5libkdepim (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:46:55 +0000

libkf5libkdepim (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:07:04 +0000

libkf5libkdepim (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:08:27 +0000

libkf5libkdepim (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Nov 2021 12:24:27 +0000

libkf5libkdepim (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 13:24:04 +0000

libkf5libkdepim (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:05 +0000

libkf5libkdepim (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:23:35 +0000

libkf5libkdepim (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:07:48 +0000

libkf5libkdepim (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:28:36 +0000

libkf5libkdepim (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:31 +0000

libkf5libkdepim (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:24 +0000

libkf5libkdepim (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:51 +0000

libkf5libkdepim (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:15:45 +0000

libkf5libkdepim (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:21:04 +0000

libkf5libkdepim (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:38:28 +0000

libkf5libkdepim (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:13:13 +0000

libkf5libkdepim (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:32:46 +0000

libkf5libkdepim (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:31:57 +0000

libkf5libkdepim (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:22:16 +0000

libkf5libkdepim (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:41:59 +0000

libkf5libkdepim (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:28:30 +0000

libkf5libkdepim (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:51:28 +0000

libkf5libkdepim (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 11:06:07 +0000

libkf5libkdepim (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Feb 2020 12:01:43 +0000



=== debian/control ===
Source: kpim6-libkdepim
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-search-dev,
               kpim6-kldap-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libkdepim.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkdepim
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-libkdepim
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6libkdepim6abi2
Replaces: libkpim6libkdepim-data,
          libkpim6libkdepim-plugins,
          libkpim6libkdepim6,
          libkpim6libkdepimakonadi6
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: kpim6-libkdepim-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcompletion-dev,
         kf6-kcontacts-dev,
         kf6-kcoreaddons-dev,
         kpim6-akonadi-contacts-dev,
         kpim6-akonadi-dev,
         kpim6-kldap-dev,
         kpim6-libkdepim (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkpim6libkdepim-dev
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkpim6libkdepim-data
Architecture: all
Depends: kpim6-libkdepim, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6libkdepim-dev
Architecture: all
Depends: kpim6-libkdepim-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6libkdepim-plugins
Architecture: all
Depends: kpim6-libkdepim, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6libkdepim6
Architecture: all
Depends: kpim6-libkdepim, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6libkdepim6abi2
Architecture: all
Depends: kpim6-libkdepim, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6libkdepimakonadi6
Architecture: all
Depends: kpim6-libkdepim, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-libkdepim 25.08.0

=== debian/changelog ===
kpim6-libkdepim (4:25.08.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 01:15:10 +0000

kpim6-libkdepim (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:33:53 +0000

kpim6-libkdepim (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:54:56 +0000

kpim6-libkdepim (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:02:50 +0000

kpim6-libkdepim (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:45:01 +0000

kpim6-libkdepim (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:59:27 +0000

kpim6-libkdepim (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:28:12 +0000

kpim6-libkdepim (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:59:16 +0000

kpim6-libkdepim (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:50:25 +0000

kpim6-libkdepim (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:45:59 +0000

kpim6-libkdepim (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:01:56 +0000

kpim6-libkdepim (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:33:45 +0000

kpim6-libkdepim (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:05:27 +0000

kpim6-libkdepim (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:58:04 +0000

## kpim6-libkdepim 25.08.1

=== debian/changelog ===
kpim6-libkdepim (4:25.08.1-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 13:12:01 +0000

kpim6-libkdepim (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:06:59 +0000

## kpim6-libkdepim 25.08.2

=== debian/changelog ===
kpim6-libkdepim (4:25.08.2-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 06:12:43 +0000

kpim6-libkdepim (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:48:55 +0000

## kpim6-libkdepim 25.08.2+p24.04+vstable+git20251015.1905

=== debian/changelog ===
kpim6-libkdepim (4:25.08.2+p24.04+vstable+git20251015.1905-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:05:56 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/libkdepim-([\d.]+).tar.xz

## kpim6-libkdepim 25.08.2+p24.04+vstable+git20251019.0743

=== debian/changelog ===
kpim6-libkdepim (4:25.08.2+p24.04+vstable+git20251019.0743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:43:52 +0000

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
                pkg-kde-tools-neon,
                qt6-base-dev,
                qt6-tools-dev,
+               reuse,
                xauth,
                xvfb
 Standards-Version: 4.6.2
@@ -41,7 +42,14 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libkpim6libkdepim6abi2
-Replaces: libkpim6libkdepim-data,
+Replaces: libkf5libkdepim-data,
+          libkf5libkdepim-plugins,
+          libkf5libkdepim5,
+          libkf5libkdepim5abi2,
+          libkf5libkdepimakonadi5,
+          libkpim5libkdepim-data,
+          libkpim5libkdepim5,
+          libkpim6libkdepim-data,
           libkpim6libkdepim-plugins,
           libkpim6libkdepim6,
           libkpim6libkdepimakonadi6
@@ -66,7 +74,7 @@
          qt6-base-dev,
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: libkpim6libkdepim-dev
+Replaces: libkf5libkdepim-dev, libkpim6libkdepim-dev
 Description: KDE PIM library - development files
  This is the internal runtime package for applications from the KDE PIM module.
  It contains headers, and the libraries needed to build some of the KDE PIM
@@ -109,3 +117,27 @@
 Depends: kpim6-libkdepim, ${misc:Depends}
 Description: Dummy transitional
  Transitional dummy package.
+
+Package: libkf5libkdepim5abi2
+Architecture: all
+Depends: kpim6-libkdepim, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
+
+Package: libkf5libkdepimakonadi5
+Architecture: all
+Depends: kpim6-libkdepim, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
+
+Package: libkpim5libkdepim-data
+Architecture: all
+Depends: kpim6-libkdepim, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
+
+Package: libkpim5libkdepim5
+Architecture: all
+Depends: kpim6-libkdepim, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON \
		-DBUILD_DESIGNERPLUGIN=ON \
		-DBUILD_QCH=ON

## kpim6-libkdepim 25.08.2+p24.04+vunstable+git20251013.0557

=== debian/changelog ===
kpim6-libkdepim (4:25.08.2+p24.04+vunstable+git20251013.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:57:59 +0000

## kpim6-libkdepim 25.08.2+p24.04+vunstable+git20251015.1903

=== debian/changelog ===
kpim6-libkdepim (4:25.08.2+p24.04+vunstable+git20251015.1903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:03:08 +0000

## kpim6-libkdepim 25.08.2+p24.04+vunstable+git20251020.2332

=== CMakeLists.txt ===
--- 
+++ 
@@ -127,7 +127,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)

=== debian/changelog ===
kpim6-libkdepim (4:25.08.2+p24.04+vunstable+git20251020.2332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 23:32:49 +0000

## kpim6-libkdepim 25.08.3

=== debian/changelog ===
kpim6-libkdepim (4:25.08.3-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:29:44 +0000

kpim6-libkdepim (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:11 +1000

## kpim6-libkdepim 25.08.3+p24.04+vunstable+git20251203.0404

=== debian/changelog ===
kpim6-libkdepim (4:25.08.3+p24.04+vunstable+git20251203.0404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 04:04:32 +0000

## kpim6-libkdepim 25.08.3+p24.04+vunstable+git20251204.0208

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(libkdepim VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -127,7 +126,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)

=== debian/changelog ===
kpim6-libkdepim (4:25.08.3+p24.04+vunstable+git20251204.0208-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:08:15 +0000

## kpim6-libkdepim 25.12.0

=== debian/changelog ===
kpim6-libkdepim (4:25.12.0-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:24:17 +0000

kpim6-libkdepim (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:35:13 +1000

## kpim6-libkdepim 25.12.0+p24.04+vstable+git20251208.2246

=== debian/changelog ===
kpim6-libkdepim (4:25.12.0+p24.04+vstable+git20251208.2246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:46:22 +0000

## kpim6-libkdepim 25.12.0+p24.04+vstable+git20251222.0558

=== debian/changelog ===
kpim6-libkdepim (4:25.12.0+p24.04+vstable+git20251222.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:58:07 +0000

## kpim6-libkdepim 25.12.1

=== debian/changelog ===
kpim6-libkdepim (4:25.12.1-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:27:39 +0000

kpim6-libkdepim (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:24:43 +1000

## kpim6-libkdepim 25.12.1+p24.04+vstable+git20260107.0152

=== debian/changelog ===
kpim6-libkdepim (4:25.12.1+p24.04+vstable+git20260107.0152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 01:52:08 +0000

## kpim6-libkdepim 25.12.1+p24.04+vstable+git20260111.0719

=== debian/changelog ===
kpim6-libkdepim (4:25.12.1+p24.04+vstable+git20260111.0719-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 07:19:29 +0000

## kpim6-libkdepim 25.12.2+p24.04+vunstable+git20260207.0124

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 set(PIM_VERSION "6.6.40")
 
 project(libkdepim VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.21.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -31,16 +31,45 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(
+            STATUS
+            "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook"
+        )
+        execute_process(
+            COMMAND "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(
+            WARNING
+            "This module has pre-commit support. pre-commit binary was not found."
+        )
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 include(ECMAddTests)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 include(ECMCheckOutboundLicense)
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_CLANG_FORMAT_SOURCE_FILES})
 
@@ -96,17 +125,6 @@
     PURPOSE "Required for the DBUS interfaces delegate."
 )
 
-option(
-    BUILD_QCH
-    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-    OFF
-)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
-
 set(LIBKDEPIM_LIB_VERSION ${PIM_VERSION})
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network)
 
@@ -126,7 +144,12 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.23.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)
@@ -163,21 +186,20 @@
     set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
 endif()
 
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
+endif()
+
 add_subdirectory(src)
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Libkdepim")
-
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KPim6Libkdepim_QCH
-        FILE KPim6LibkdepimQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS
-        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6LibkdepimQchTargets.cmake\")"
-    )
-endif()
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KPimLibkdepimConfig.cmake.in"

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libkdepim6\")
add_library(KPim6Libkdepim)
add_library(KPim6::Libkdepim ALIAS KPim6Libkdepim)
ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKDEPIM
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libkdepim_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkdepimConfigVersion.cmake"
    SOVERSION 6
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(progresswidget/autotests/)
    add_subdirectory(progresswidget/tests/)
endif()

########### next target ###############
target_sources(
    KPim6Libkdepim
    PRIVATE
        progresswidget/progressmanager.cpp
        progresswidget/progressdialog.cpp
        progresswidget/statusbarprogresswidget.cpp
        progresswidget/ssllabel.cpp
        progresswidget/progressstatusbarwidget.cpp
        widgets/kcheckcombobox.cpp
        widgets/kwidgetlister.cpp
        widgets/progressindicatorlabel.cpp
        multiplyingline/multiplyingline.cpp
        multiplyingline/multiplyinglineeditor.cpp
        multiplyingline/multiplyinglineview_p.cpp
        progresswidget/statusbarprogresswidget.h
        progresswidget/ssllabel.h
        progresswidget/progressmanager.h
        progresswidget/progressdialog.h
        progresswidget/progressstatusbarwidget.h
        multiplyingline/multiplyinglineeditor.h
        multiplyingline/multiplyingline.h
        multiplyingline/multiplyinglineview_p.h
        libkdepim_private_export.h
        widgets/kwidgetlister.h
        widgets/kcheckcombobox.h
        widgets/progressindicatorlabel.h
)
ecm_qt_declare_logging_category(KPim6Libkdepim HEADER libkdepim_debug.h IDENTIFIER LIBKDEPIM_LOG CATEGORY_NAME org.kde.pim.libkdepim
        DESCRIPTION "libkdepim (libkdepim)"
        OLD_CATEGORY_NAMES log_libkdepim
        EXPORT LIBKDEPIM
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6Libkdepim PROPERTIES UNITY_BUILD ON)
endif()
ecm_generate_export_header(KPim6Libkdepim
    BASE_NAME kdepim
    VERSION ${LIBKDEPIM_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER \"libkdepim_version.h\"
)
target_include_directories(
    KPim6Libkdepim
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkdepim/>"
)
target_include_directories(
    KPim6Libkdepim
    PUBLIC
        "$<BUILD_INTERFACE:${libkdepim_SOURCE_DIR}/src;${libkdepim_BINARY_DIR}/src;>"
)

target_link_libraries(
    KPim6Libkdepim
    PRIVATE KF6::Completion KF6::I18n KF6::WidgetsAddons
)

if(MINGW)
    target_link_libraries(KPim6Libkdepim PRIVATE oleaut32)
endif()

set_target_properties(
    KPim6Libkdepim
    PROPERTIES
        VERSION ${LIBKDEPIM_VERSION}
        SOVERSION ${LIBKDEPIM_SOVERSION}
        EXPORT_NAME Libkdepim
)

install(
    TARGETS KPim6Libkdepim
    EXPORT KPim6LibkdepimTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(libkdepim_Camelcasewidgets_HEADERS
    HEADER_NAMES
    KCheckComboBox
    KWidgetLister
    ProgressIndicatorLabel
    REQUIRED_HEADERS libkdepim_widgets_HEADERS
    PREFIX Libkdepim
    RELATIVE widgets
)

ecm_generate_headers(libkdepim_Camelcaseprogresswidget_HEADERS
    HEADER_NAMES
    ProgressStatusBarWidget
    StatusbarProgressWidget
    ProgressDialog
    ProgressManager
    REQUIRED_HEADERS libkdepim_progresswidget_HEADERS
    PREFIX Libkdepim
    RELATIVE progresswidget
)

ecm_generate_headers(libkdepim_Camelcasemultiline_HEADERS
    HEADER_NAMES
    MultiplyingLine
    MultiplyingLineEditor
    REQUIRED_HEADERS libkdepim_multiline_HEADERS
    PREFIX Libkdepim
    RELATIVE multiplyingline
)

install(
    FILES
        ${libkdepim_CamelcaseCamelCase_HEADERS}
        ${libkdepim_Camelcasewidgets_HEADERS}
        ${libkdepim_Camelcaseprogresswidget_HEADERS}
        ${libkdepim_Camelcasemultiline_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkdepim/Libkdepim
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kdepim_export.h
        ${libkdepim_CamelCase_HEADERS}
        ${libkdepim_progresswidget_HEADERS}
        ${libkdepim_widgets_HEADERS}
        ${libkdepim_multiline_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkdepim/libkdepim
    COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()
########### install files ###############

if(TARGET Qt6::DBus)
    install(
        FILES
            interfaces/org.kde.addressbook.service.xml
            interfaces/org.kde.mailtransport.service.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
    )
endif()

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libkdepim_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkdepim
    COMPONENT Devel
)
ecm_generate_qdoc(KPim6Libkdepim libkdepim.qdocconf)

=== debian/changelog ===
kpim6-libkdepim (4:25.12.2+p24.04+vunstable+git20260207.0124-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 01:25:00 +0000

kpim6-libkdepim (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:26:45 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON \
-		-DBUILD_DESIGNERPLUGIN=ON \
-		-DBUILD_QCH=ON
+		-DBUILD_DESIGNERPLUGIN=ON
+
